Package twisted :: Package protocols :: Module smtp :: Class ESMTPClient

[frames | no frames]

## Class ESMTPClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  SMTPClient --+
                               |
                              ESMTPClient

Known Subclasses:
  `ESMTPRelayer`

Method Summary
| `__init__(self, secret, contextFactory, *args, **kw)`
| `_authResponse(self, auth, challenge)`
| `authenticate(self, code, resp, items)`
| ``connectionMade`(self)` Called when a connection is made.
| `esmtpState_auth(self, code, resp)`
| `esmtpState_challenge(self, code, resp)`
| `esmtpState_ehlo(self, code, resp)`
| `esmtpState_starttls(self, code, resp)`
| `registerAuthenticator(self, auth)`
Inherited from SMTPClient
| ``connectionLost`(self, reason)` We are no longer connected
| ``finishedFileTransfer`(self, lastsent)`
| ``getMailData`(self)` Return file-like object containing data of message to be sent.
| ``getMailFrom`(self)` Return the email address the mail is from.
| ``getMailTo`(self)` Return a list of emails to send to.
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``sendLine`(self, line)` Logging sendLine
| ``sentMail`(self, code, resp, numOk, addresses, log)` Called when an attempt to send an email is completed.
| ``smtpConnectionFailed`(self, code, resp)`
| ``smtpState_data`(self, code, resp)`
| ``smtpState_disconnect`(self, code, resp)`
| ``smtpState_from`(self, code, resp)`
| ``smtpState_helo`(self, code, resp)`
| ``smtpState_msgSent`(self, code, resp)`
| ``smtpState_to`(self, code, resp)`
| ``smtpState_toOrData`(self, code, resp)`
| ``smtpTransferFailed`(self, code, resp)`
| ``transformChunk`(self, chunk)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`NoneType` | `context` = None
`int` | `heloFallback` = 1
`int` | `requireAuthentication` = 0
`int` | `requireTransportSecurity` = 0
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.connectionMade` (inherited documentation)

Class Variable Details

### context

  Type:
    `NoneType`
  Value:

        None

### heloFallback

  Type:
    `int`
  Value:

        1

### requireAuthentication

  Type:
    `int`
  Value:

        0

### requireTransportSecurity

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net